<?
sapp_include_once('common.php');



function form_handler()
{
    $valid = true;

    
	// Check admin_login
	$admin_login = sapp_get_submit_value('admin_login');
        if (!check_sys_login($admin_login)){
            sapp_set_wrong('admin_login', msg('warning_about_login_syntax'));
            $valid = false;
        }
        sapp_set_param('admin_login', $admin_login);

        //check admin password
        $admin_passwd = sapp_get_submit_value('admin_passwd');
        $admin_passwd_confirm = sapp_get_submit_value('admin_passwd_confirm');

        if ('' == $admin_passwd) {
            if (!sapp_get_param('admin_passwd')) {
                sapp_set_wrong('admin_passwd', msg('password__empty'));
                $valid = false;
            } else {
                $admin_passwd = sapp_get_param('admin_passwd');
            }
        } elseif ($admin_passwd != $admin_passwd_confirm) {
            sapp_set_wrong('admin_passwd', msg('password__not_match'));
            sapp_set_wrong('admin_passwd_confirm', msg('password__not_match'));
            $valid = false;
        } elseif (!check_sys_passwd('', $admin_passwd)) {
            sapp_set_wrong('admin_passwd', msg('warning_about_passwd_syntax'));
            $valid = false; 
        } else {
            sapp_set_param('admin_passwd', ($admin_passwd));                
        }



    if (!$valid) {
        sapp_set_error(msg('invalid_values'));
        return 1;
    }

    return 2;
}
?>
